Summary:   Console-based network monitoring program
Name:      iptraf
Version:   2.3.1
Release:   1
URL:       http://cebu.mozcom.com/riker/iptraf/
Source:    ftp://ftp.cebu.mozcom.com/pub/linux/net/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     Applications/Internet
Buildroot: /tmp/%{name}-%{version}-root

%description
IPTraf is a console-based network monitoring program for Linux that
displays information about IP traffic.  It returns such information as:

        Current TCP connections
        UDP, ICMP, OSPF, and other types of IP packets
        Packet and byte counts on TCP connections
        IP, TCP, UDP, ICMP, non-IP, and other packet and byte counts
        TCP/UDP counts by ports
        Packet counts by packet sizes
        Packet and byte counts by IP address
        Interface activity
        Flag statuses on TCP packets
        LAN station statistics

This program can be used to determine the type of traffic on your network,
and what kind of service is the most heavily used on what machines, among
others.

IPTraf works on Ethernet, FDDI, ISDN, PLIP, loopback, and SLIP/PPP
interfaces.

%prep

%setup -q

%build
if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

make -j $NRPROC \
     -C src CFLAGS="$RPM_OPT_FLAGS" \
            TARGET=/usr/bin \
            LOGDIR=/var/log/iptraf \
            WORKDIR=/var/iptraf

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man8

make -C src TARGET=$RPM_BUILD_ROOT/usr/bin \
            LOGDIR=$RPM_BUILD_ROOT/var/log/iptraf \
            WORKDIR=$RPM_BUILD_ROOT/var/iptraf \
            install

install -m644 Documentation/*.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation/{manual.*,*.gif} CHANGES COPYING README.*
/usr/bin/*
%attr(-,root,man) /usr/man/*/*
/var/iptraf
/var/log/iptraf

%changelog
* Fri Dec 01 2000 Arne Coucheron <arneco@online.no>
  [2.3.1-1]

* Wed Aug 02 2000 Arne Coucheron <arneco@online.no>
  [2.2.2-1]

* Sat Jul 01 2000 Arne Coucheron <arneco@online.no>
  [2.2.1-1]

* Wed May 03 2000 Arne Coucheron <arneco@online.no>
  [2.2.0-1]
- added support for compiling in multiprocessor environment

* Sun Nov 14 1999 Arne Coucheron <arneco@online.no>
  [2.1.1-1]

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.0.2-2]
- changed Group: to comply with RH 6.x

* Tue Sep 07 1999 Michael Hauf <mh@hauf.net>
  updated to iptraf-2.0.2

* Sun Jul 18 1999 Arne Coucheron <arneco@online.no>
  [2.0.1-1]

* Sat Jun 26 1999 Arne Coucheron <arneco@online.no>
  [2.0.0-1]

* Thu Apr 15 1999 Arne Coucheron <arneco@online.no>
  [1.4.3-1]

* Tue Jan 19 1999 Arne Coucheron <arneco@online.no>
  [1.4.2-1]
- added manual pages

* Mon Jan 03 1999 Arne Coucheron <arneco@online.no>
  [1.4.1-1]
- removed the patch

* Sun Sep 20 1998 Arne Coucheron <arneco@online.no>
  [1.3.0-1]

* Tue Jun 23 1998 Arne Coucheron <arneco@online.no>
  [1.2.0-2]
- using %%{name} and %%{version} macros
- using %defattr macro in filelist
- using $RPM_OPT_FLAGS
- added -q parameter to %setup
- added cfconv to package

* Tue Jun 16 1998 Biniare <binaire@binaire.ml.org>
  [1.2.0-1]

* Tue Mar 10 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [1.1.0-1]